# Generated from mq-sass-0.8.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mq-sass

Name: rubygem-%{gem_name}
Version: 0.8.0
Release: 1%{?dist}
Summary: Sass library to manage responsive breakpoints
License: MIT
URL: https://github.com/jonsuh/mq-sass
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Sass library to manage responsive breakpoints to generate media queries.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.npmignore
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/bower.json
%{gem_instdir}/eyeglass-exports.js
%{gem_instdir}/index.js
%{gem_libdir}
%{gem_instdir}/package.json
%{gem_instdir}/stylesheets
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/mq-sass.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.8.0-1
- Initial package
